<%
   ' Setup database objects
   set dbConn = server.createobject("ADODB.Connection")
   connStr = "DRIVER=Microsoft Access Driver (*.mdb);DBQ=" & Server.MapPath("pbdb.mdb")
   dbConn.open connStr',3,3

	restrictedView = false
	
	search = Request.QueryString("search_string") <> ""	
	thumbs = Request.QueryString("thumbs")
	small = Request.QueryString("small")
	position = Request.QueryString("page")
	entries_per_page = Request.QueryString("entries_per_page")

	IF position = "" THEN

		position = Request.cookies("pbdb_last_position")

		IF position = "" THEN

			position = "1"

		END IF

	ELSE

		Response.cookies("pbdb_last_position") = position

	END IF

	IF thumbs = "" THEN
	
		thumbs = Request.cookies("pbdb_show_thumbs")

		IF thumbs = "" THEN

			thumbs = "false"

		END IF
	
	ELSE

		Response.cookies("pbdb_show_thumbs") = thumbs
	
	END IF

	IF small = "" THEN
	
		small = Request.cookies("pbdb_small_thumbs")

		IF small = "" THEN

			small = "true"

		END IF
	
	ELSE

		Response.cookies("pbdb_small_thumbs") = small
	
	END IF

	IF entries_per_page = "" THEN
	
		entries_per_page = Request.cookies("pbdb_entries_per_page")

		IF entries_per_page = "" THEN

			entries_per_page = "15"

		END IF
	
	ELSE

		Response.cookies("pbdb_entries_per_page") = entries_per_page
	
	END IF
%>
	
<html>
  <head>
    <title>
      PB-DB
    </title>
	<style type="text/css">
		a,td,b { font-family: Verdana, sans-serif; color: white; font-size: 12 }
	</style>
  </head>
  <body bgcolor="white">
    <table bgcolor="#CCBB66"  <% IF small = "true" THEN %>width="75%"<% ELSE %> width="100%" <% END IF %> height="100%" align="center" border="0">
      <tr valign="top" height="35">
        <td align="center">
          <font face="Tahoma" size="3" color="white">
            <b>
              PunkBuster Screenshot Database <% IF startDate <> "" THEN %> (<%=startDate%> to <%=endDate%>) <% END IF %>
            </b>
          </font>
        </td>
      </tr>
	  <tr height="10" valign="top">
	    <td>
<%
   set listRecordSet = server.createobject("ADODB.Recordset")

   listSQL = "SELECT * FROM Screenshots"
    
   IF search THEN
   
   	 listSQL = listSQL + " WHERE "& Request.QueryString("Type")&" like '%"& Replace(Replace(Request.QueryString("search_string"),"[","%"),"]","%")&"%'"
   	
   END IF

   listSQL = listSQL + " ORDER BY DateTime"
      
   toggle = true
   
   IF NOT search THEN

		listRecordSet.CursorLocation=3 'clientside
		listRecordSet.CursorType=3 'staticrecordset
		listRecordSet.PageSize=entries_per_page

	END IF

   listRecordSet.open listSQL, dbConn, 2, 2

   IF search THEN

     Response.write("'<b>"&Request.QueryString("search_string")&"</b>'")

   END IF

   IF NOT listRecordSet.EOF AND Position<>"" AND NOT search THEN

      listRecordSet.AbsolutePage = position

   END IF
   
   IF listRecordSet.PageCount > 1 THEN

      IF Int(position) > 0 THEN
%>
	     <a href="default.asp?page=<%=position-1%>">previous</a> |
<%
      END IF

      FOR pageCount = 1 to listRecordSet.PageCount 

		IF int(pageCount) = int(position) THEN
%>
		<b><%=pageCount%></b>
<%
		ELSE
%>	
		<a href="default.asp?page=<%=pageCount%>"><%=pageCount%></a>
<%
		END IF

	  NEXT

      IF Int(position) < Int(listRecordSet.PageCount) THEN
%>
	     | <a href="default.asp?page=<%=position+1%>">next</a>
<%
      END IF

   END IF
%>
		|
		<a href="default.asp">
		  Unfiltered
		</a>
		|
		<%
		  IF thumbs = "false" THEN
		%>
		<a href="default.asp?thumbs=true">
		  Show Thumbnails 
		</a>
		<%
		  ELSE
		%>
		<a href="default.asp?thumbs=false">
		  Hide Thumbnails 
		</a>
		<%
		  END IF
		%>
		|
		<%
		  IF small = "false" THEN
		%>
		<a href="default.asp?small=true">
		  small
		</a>
		<%
		  ELSE
		%>
		<a href="default.asp?small=false">
		  large
		</a>
		<%
		  END IF
		%>
        </td>
	  </tr>
      <tr valign="top">
        <td>
          <table width="100%">
            <tr valign="top">
              <td width="30%">
                <font face="Tahoma" size="2" color="black">
                  <b>Time/Date</b>
                </font>
              </td>
              <td width="20%">
                <font face="Tahoma" size="2" color="black">
                  <b>Nickname</b>
                </font>
              </td>
              <td width="20%">
                <font face="Tahoma" size="2" color="black">
                  <b>WonId</b>
                </font>
              </td>
              <td width="10%">
                <font face="Tahoma" size="2" color="black">
                  <b>Screenshot</b>
                </font>
              </td>
              <td width="10%">
                <font face="Tahoma" size="2" color="black">
                  <b>pbc</b>
                </font>
              </td>

            </tr>
<%
   count = 0

   do while not listRecordSet.eof  AND (count < listRecordSet.PageSize) 
   	  
	  count = count + 1
   	  if toggle then
   	  
   	    bgColor = "#DDCC77"
   	  
   	  else
   	   
   	    bgColor = "#BBAA55"
   	  
   	  end if
   	  
   	  toggle = not toggle
%>
            <tr bgcolor="<%=bgColor%>">
              <td>
                <font face="Tahoma" size="2" color="black">
                  <%=listRecordSet("DateTime")%>
                </font>
              </td>
              <td>
                <font face="Tahoma" size="2" color="black">
                  <%=listRecordSet("NickName")%> <a href="default.asp?search_string=<%=listRecordSet("NickName")%>&type=NickName&thumbs=<%=thumbs%>"><img src="find.gif" border="0"></a>
                </font>
              </td>
              <td>
                <font face="Tahoma" size="2" color="black">
                  <%=listRecordSet("WonID")%> <a href="default.asp?search_string=<%=listRecordSet("WonId")%>&type=WonId&thumbs=<%=thumbs%>"><img src="find.gif" border="0"></a>
                </font>
              </td>
              <td>
                <a href="<%=listRecordSet("ScreenShotURL")%>">
                  <font face="Tahoma" size="2" color="black">
                <% 
                   IF thumbs = "true" THEN
                %>
                     <img border="0" src="<%=listRecordSet("ScreenShotURL")%>" <% IF small = "true" THEN %>width="100" height="50"<% END IF %>>
                <%
                   ELSE
                %>
                    View
                <%
                   END IF
                %>
                  </font>
                </a>
              </td>
              <td>
                <a href="<%=listRecordSet("PBCURL")%>">
                  <font face="Tahoma" size="2" color="black">
                    .pbc file
                  </font>
                </a>
              </td>
            </tr>
<%
      listRecordSet.moveNext
      
   loop
   
   listRecordSet.close
   set listRecordSet = nothing
%>            
          </table>
        </td>
      </tr>
      <tr valign="top" height="35">
        <td align="center">
          <form action="default.asp" method="get">
          <table width="100%">
            <tr>
              <td>
                <font face="Tahoma" size="2" color="black">
                  Search: <input type="text" name="search_string"> Type: <select name="type"><option value="NickName">NickName</option><option value="WonId">WonId</option></select>
               	  <input type="hidden" name="thumbs" value="<%=thumbs%>">
                </font>
              </td>
			  <td align="right">
			    Number of entries per page: 
				<select name="entries_per_page">
<%
				  FOR count=5 to 50 step 5
%>
				  <option value="<%=count%>"<% IF count = int(entries_per_page) THEN %> selected<% END IF %>><%=count%></option>
<%
				  NEXT
%>
				</select>
				<input type="Submit" value="Update">
			  </td>
            </tr>
          </table>
          </form>
        </td>
      </tr>
    </table>
  </body>
</html>
<%
   dbConn.close
   set dbConn = nothing
%>